Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354472 - bug in Firefox with a lot of div tags in HTML code (GMail)
Summary: bug in Firefox with a lot of div tags in HTML code (GMail)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firefox
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 11:58 UTC by Oliver Haessler
Modified: 2016-08-03 16:59 UTC (History)
0 users

Fixed In Version: firefox-45.3.0-1.el7_2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-03 16:59:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
HTML code to test the mail display (deleted)
2016-07-11 11:58 UTC, Oliver Haessler
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 256180 None None None 2016-07-12 10:56:14 UTC

Description Oliver Haessler 2016-07-11 11:58:38 UTC
Created attachment 1178360 [details]
HTML code to test the mail display

Description of problem:
we have a mail where someone copy/pasted text from maybe
another mail. some text is not shown in the mail. Looking at the html code
for the mail, the text that is not shown is embedded in ~190 <div> tags.
That means it is opening ~190 <div> tags , than the text is entered, and at
the end it closes the ~190 div tags again. the text in between the div tags
is not shown.

Version-Release number of selected component (if applicable):
Firefox (all current version including ESR and macOS + RHEL)

Steps to Reproduce:
1. Insert the HTML code of the attached html file into a mail (I used Thunderbird to add the HTML code)
2. send it to a GMail address
3. check the mail in Google Mail

Actual results:
Mail text after "Hi" and before "Kindest Regards" is not displayed in Firefox (all current versions and all major OSs)

Expected results:
Mail text should display

Additional info:
The mail is displayed correctly in Chrome, Chromium, Safari and IE

Comment 5 Martin Stransky 2016-08-03 16:59:20 UTC
Should be fixed in firefox-45.3.0-1.el7_2


Note You need to log in before you can comment on or make changes to this bug.